@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;700&display=swap');

.page-body {
  font-family: 'Roboto', sans-serif;
  background: url(../img/background.png);
  background-position: center;
  background-size: cover;
  height: 100vh;
}

.maine-description {
  /*font-family: 'Roboto', sans-serif;*/
  font-weight: 300;
  font-size: 18px;
  line-height: 18px;
  color: #ffffff;
}

/* header */
.page-header {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: 61px;
  margin-top: 46px;
  padding: 0 calc(50% - 515px);
}

.logo-link {
  grid-area: 1/1/1/2;
  display: grid;
  grid-template-columns: 53px 1fr;
  align-items: center;
  font-weight: 700;
  color: #ffffff;
  position: relative;
}

.header-contact {
  grid-area: 1/4/1/5;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  text-align: right;
}

/* logo subgrid */
.logo-img {
  grid-area: 1/1/1/2;
}
.logo-img-hover {
  grid-area: 1/1/1/2;
  position: absolute;
  display: none;
}

.logo-text {
  grid-area: 1/2/1/3;
  display: flex;
  align-self: end;
  margin-left: 8px;
  margin-bottom: 5px;
}

.logo-title {
  display: block;
  font-size: 29px;
  line-height: 18px;
}

.logo-title-small {

  font-size: 18px;
  line-height: 18px;
  margin-top: 4px;
}

/* main */
.page-main {
  display: grid;
  padding: 0 calc(50% - 515px);
  grid-template-areas:
    'a b c '
    'd e f';
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: 261px 261px;
  grid-row-gap: 37px;
  grid-column-gap: 61px;
  margin-top: 17px;
  justify-items: center;
  text-align: center;
}

.grid-item-1 {
  grid-area: a;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  position: relative;
}

.grid-item-2 {
  grid-area: b;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.grid-item-3 {
  grid-area: c;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.grid-item-4 {
  grid-area: d;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.grid-item-5 {
  grid-area: e;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.grid-item-6 {
  grid-area: f;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.content-img {
  height: 220px;
  width: 300px;
  display: block;
}

/* footer */

.page-footer {
  display: flex;
  justify-content: center;
  margin-top: 49px;
  margin-bottom: 15px;
}

.Copyright {
  font-size: 12px;
  line-height: 12px;
  color: #ffffff;
  text-align: center;
}

/* Hover */

/*logo hover  */
.logo-link:hover,
.logo-link:focus {
  color: #f26522;
}

.logo-link:hover .logo-img-hover {
  display: block;
}

/* text hover */
.header-contact .maine-description:hover {
  color: #f26522;
}

a:hover .maine-description {
  color: #f26522;
}

/* tooltips */

.maine-tooltip {
  display: grid;
  grid-template-rows: 1fr 1fr;
  width: 100%;
  height: 55px;
  background-color: #f26522;
  text-align: left;
  padding: 7px 37px 12px 16px;

  position: absolute;
  top: 265px;
  left: 0;
  z-index: 3;

  -webkit-transition-property: top, opacity;
  transition-property: top, opacity;
  -webkit-transition-duration: 0.3s;
  transition-duration: 0.3s;
  -webkit-transition-delay: 0s;
  transition-delay: 0s;
}

.tooltips-from {
  grid-area: 1/1/2/1;
  font-weight: normal;
  align-self: start;
  font-size: 10px;
  line-height: 10px;
  color: #ffffff;
}

.tooltips-description {
  grid-area: 2/1/3/1;
  color: #ffffff;

  display: flex;
  justify-content: space-between;
  align-items: center;
}

.tooltips-price {
  font-size: 20px;
  line-height: 20px;
}

.tooltips-Details {
  font-size: 14px;
  line-height: 14px;
}

/* Всплывающая надпись */
.thumbs {
  opacity: 0.99;
  overflow: hidden;
  position: relative;
  cursor: pointer;
  backface-visibility: hidden;
  -webkit-backface-visibility: hidden;
}

a:hover .maine-tooltip,
a:hover .tooltips-description {
  opacity: 1;
}

a:hover .maine-tooltip {
  top: 165px;
}

/* Стрелка после текста */
.tooltips-Details::after {
  content: url(../img/arrow.svg);
  position: absolute;
  right: 16px;
  bottom: 14px;
}
